Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Sets up the configuration wizard

Request

Security
Bearer
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/authenticate/setup-wizard' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The setup wizard has already run and/or the login was successful

Bodyapplication/json
userNamestring or null

The username

userIdstring or null

The internal instinct user id

tokenstring or null

The json web token

inactiveLogoutinteger(int32)

The amount of time the user is allowed to be inactive (in minutes)

logoutCountdowninteger(int32)

The logout countdown

expiresIninteger(int32)

The amount of time the user has remaining until logged out (in minutes)

passwordExpiresInDaysinteger(int32)
notifyPasswordExpiresSoonboolean
Response
application/json
{ "userName": "_userName1_", "userId": "1142c805484f4ffb9f1b92a66b47ef71", "token": "Z5UmVtb3RlU2V0dGluZ3MiLCJNb2RpZnlCYXNlU2V0dGluZ3MiLCJNb2RpZnlUZWNobmljYWxTZXR0aW5ncyIsIkV4ZWN1dGVWYWxpZGF0ZWRJdGVtcyIsIkV4ZWN1dGVOb25WYWxpZGF0ZWRJdGVtcyIsIkVkaXRTY2hlZHVsZSIsIlZpZXdGdW5jdGlvbnMiLCJWaWV3VXNlcnMiLCJWaWV3Um9sZXMiLCJNb2RpZnlQcmludFNldHRpbmdzIiwiQ3JlYXRlVXNlckRvY3VtZW50cyIsIyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJuYW1laWQiOiIzMTQyOGM4ZmQ0Yzk0MzljYmI3NTAzYzdiMGViOTU0MCIsImdpdmVuX25hbWUiOiJfX21scHJlcF9fIiwicm9sZSI6WyJDaGFuZ2VBY3RpdmVTeXN0ZW1Db25maWd1cmF0aW9uIiwiTW9kaWZ5Um9sZXMiLCJNb2RpZnlVc2VycyIsIk1vZGlmeUxhYm9yYXRvcnlTZXR0aW5ncyIsIk1vZGlmeVYmTVNldHRpbmdzIiwiTW9k", "inactiveLogout": 60, "logoutCountdown": 10, "expiresIn": 5, "passwordExpiresInDays": 0, "notifyPasswordExpiresSoon": false }

Resets the knowledge-based passwords

Request

Security
Bearer
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/authenticate/kba-password-reset' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The login was successful

Bodyapplication/json
userNamestring or null

The username

userIdstring or null

The internal instinct user id

tokenstring or null

The json web token

inactiveLogoutinteger(int32)

The amount of time the user is allowed to be inactive (in minutes)

logoutCountdowninteger(int32)

The logout countdown

expiresIninteger(int32)

The amount of time the user has remaining until logged out (in minutes)

passwordExpiresInDaysinteger(int32)
notifyPasswordExpiresSoonboolean
Response
application/json
{ "userName": "_userName1_", "userId": "1142c805484f4ffb9f1b92a66b47ef71", "token": "Z5UmVtb3RlU2V0dGluZ3MiLCJNb2RpZnlCYXNlU2V0dGluZ3MiLCJNb2RpZnlUZWNobmljYWxTZXR0aW5ncyIsIkV4ZWN1dGVWYWxpZGF0ZWRJdGVtcyIsIkV4ZWN1dGVOb25WYWxpZGF0ZWRJdGVtcyIsIkVkaXRTY2hlZHVsZSIsIlZpZXdGdW5jdGlvbnMiLCJWaWV3VXNlcnMiLCJWaWV3Um9sZXMiLCJNb2RpZnlQcmludFNldHRpbmdzIiwiQ3JlYXRlVXNlckRvY3VtZW50cyIsIyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJuYW1laWQiOiIzMTQyOGM4ZmQ0Yzk0MzljYmI3NTAzYzdiMGViOTU0MCIsImdpdmVuX25hbWUiOiJfX21scHJlcF9fIiwicm9sZSI6WyJDaGFuZ2VBY3RpdmVTeXN0ZW1Db25maWd1cmF0aW9uIiwiTW9kaWZ5Um9sZXMiLCJNb2RpZnlVc2VycyIsIk1vZGlmeUxhYm9yYXRvcnlTZXR0aW5ncyIsIk1vZGlmeVYmTVNldHRpbmdzIiwiTW9k", "inactiveLogout": 60, "logoutCountdown": 10, "expiresIn": 5, "passwordExpiresInDays": 0, "notifyPasswordExpiresSoon": false }

Check if a valid token exists

Request

Checks if a valid token exists

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/authenticate/check-authentication' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

A valid token exists

Response
No content

Authenticates the user

Request

Security
Bearer
Body
usernamestring or null

The username

passwordstring or null

The password for the given user

curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/authenticate' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "username": "string",
    "password": "string"
  }'

Responses

The login was successful

Bodyapplication/json
userNamestring or null

The username

userIdstring or null

The internal instinct user id

tokenstring or null

The json web token

inactiveLogoutinteger(int32)

The amount of time the user is allowed to be inactive (in minutes)

logoutCountdowninteger(int32)

The logout countdown

expiresIninteger(int32)

The amount of time the user has remaining until logged out (in minutes)

passwordExpiresInDaysinteger(int32)
notifyPasswordExpiresSoonboolean
Response
application/json
{ "userName": "_userName1_", "userId": "1142c805484f4ffb9f1b92a66b47ef71", "token": "Z5UmVtb3RlU2V0dGluZ3MiLCJNb2RpZnlCYXNlU2V0dGluZ3MiLCJNb2RpZnlUZWNobmljYWxTZXR0aW5ncyIsIkV4ZWN1dGVWYWxpZGF0ZWRJdGVtcyIsIkV4ZWN1dGVOb25WYWxpZGF0ZWRJdGVtcyIsIkVkaXRTY2hlZHVsZSIsIlZpZXdGdW5jdGlvbnMiLCJWaWV3VXNlcnMiLCJWaWV3Um9sZXMiLCJNb2RpZnlQcmludFNldHRpbmdzIiwiQ3JlYXRlVXNlckRvY3VtZW50cyIsIyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJuYW1laWQiOiIzMTQyOGM4ZmQ0Yzk0MzljYmI3NTAzYzdiMGViOTU0MCIsImdpdmVuX25hbWUiOiJfX21scHJlcF9fIiwicm9sZSI6WyJDaGFuZ2VBY3RpdmVTeXN0ZW1Db25maWd1cmF0aW9uIiwiTW9kaWZ5Um9sZXMiLCJNb2RpZnlVc2VycyIsIk1vZGlmeUxhYm9yYXRvcnlTZXR0aW5ncyIsIk1vZGlmeVYmTVNldHRpbmdzIiwiTW9k", "inactiveLogout": 60, "logoutCountdown": 10, "expiresIn": 5, "passwordExpiresInDays": 0, "notifyPasswordExpiresSoon": false }

Logs out the current logged in user

Request

The user is logged out and token is cleared

Security
Bearer
curl -i -X DELETE \
  'http://{{your_prep_ip_address}}/api/v1/authenticate' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The user was logged out successfully

Renews the token for authentication

Request

Security
Bearer
Body
usernamestring or null

The username

passwordstring or null

The password for the given user

curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/authenticate/renew-token' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "username": "string",
    "password": "string"
  }'

Responses

The token was renewed successfully

Bodyapplication/json
userNamestring or null

The username

userIdstring or null

The internal instinct user id

tokenstring or null

The json web token

inactiveLogoutinteger(int32)

The amount of time the user is allowed to be inactive (in minutes)

logoutCountdowninteger(int32)

The logout countdown

expiresIninteger(int32)

The amount of time the user has remaining until logged out (in minutes)

passwordExpiresInDaysinteger(int32)
notifyPasswordExpiresSoonboolean
Response
application/json
{ "userName": "_userName1_", "userId": "1142c805484f4ffb9f1b92a66b47ef71", "token": "Z5UmVtb3RlU2V0dGluZ3MiLCJNb2RpZnlCYXNlU2V0dGluZ3MiLCJNb2RpZnlUZWNobmljYWxTZXR0aW5ncyIsIkV4ZWN1dGVWYWxpZGF0ZWRJdGVtcyIsIkV4ZWN1dGVOb25WYWxpZGF0ZWRJdGVtcyIsIkVkaXRTY2hlZHVsZSIsIlZpZXdGdW5jdGlvbnMiLCJWaWV3VXNlcnMiLCJWaWV3Um9sZXMiLCJNb2RpZnlQcmludFNldHRpbmdzIiwiQ3JlYXRlVXNlckRvY3VtZW50cyIsIyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJuYW1laWQiOiIzMTQyOGM4ZmQ0Yzk0MzljYmI3NTAzYzdiMGViOTU0MCIsImdpdmVuX25hbWUiOiJfX21scHJlcF9fIiwicm9sZSI6WyJDaGFuZ2VBY3RpdmVTeXN0ZW1Db25maWd1cmF0aW9uIiwiTW9kaWZ5Um9sZXMiLCJNb2RpZnlVc2VycyIsIk1vZGlmeUxhYm9yYXRvcnlTZXR0aW5ncyIsIk1vZGlmeVYmTVNldHRpbmdzIiwiTW9k", "inactiveLogout": 60, "logoutCountdown": 10, "expiresIn": 5, "passwordExpiresInDays": 0, "notifyPasswordExpiresSoon": false }

/api/v1/authenticate/change-expired-password

Request

Security
Bearer
Body
userNamestring or null
oldPasswordstring or null
newPasswordstring or null
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/authenticate/change-expired-password' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "userName": "string",
    "oldPassword": "string",
    "newPassword": "string"
  }'

Responses

Success

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations